Skip to main content
POST
/qiita/articles/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
count
integer
required
Required range: 1 <= x <= 2000
timeout
integer
default:300
Required range: 20 <= x <= 1500
keyword
string | null
article_title
string | null
body
string | null
code
string | null
tags
string[] | null
exclude_tags
string[] | null
user
string | null
organization
string | null
min_stocks
integer | null
Required range: x >= 0
created_from
string | null
created_to
string | null
updated_from
string | null
updated_to
string | null
sort
enum<string>
default:relevance
Available options:
relevance,
created,
like,
stock

Response

Successful Response

id
string
required
@type
string
default:QiitaArticleRef
article_title
string | null
url
string | null
snippet
string | null
created_at
integer | null
like_count
integer | null
stock_count
integer | null
comment_count
integer | null
author
object | null
organization
object | null
tags
object[]